# Poco

# template < typename ch >

# class BufferAllocator

Library: Foundation
Package: Streams
Header: Poco/BufferAllocator.h

## Description

The BufferAllocator used if no specific BufferAllocator has been specified.

## Member Summary

Member Functions: allocate, deallocate

## Types

### char_type

typedef ch char_type;

## Member Functions

### allocate

static char_type * allocate(
std::streamsize size
);

### deallocate

static void deallocate(
char_type * ptr,
std::streamsize
) noexcept;